<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawView (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawView (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawView.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawToolFactory.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawView.html" target="_top">Frames</a></li>
<li><a href="DrawView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawView" class="title">Interface DrawView</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawView</span></pre>
<div class="block">The class DrawView displays a graphic model. It is responsible for the
 presentation of the model and the forwarding of the user interaction 
 to its associated controller.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework"><code>DrawModel</code></a>, 
<a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework"><code>DrawContext</code></a>, 
<a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework"><code>DrawTool</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#DEFAULT_HEIGHT">DEFAULT_HEIGHT</a></span></code>
<div class="block">Default height of view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#DEFAULT_WIDTH">DEFAULT_WIDTH</a></span></code>
<div class="block">Default width of view.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#addToSelection-jdraw.framework.Figure-">addToSelection</a></span>(<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Adds a figure to the selected figures.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#clearSelection--">clearSelection</a></span>()</code>
<div class="block">Clears the selection and removes all selection markers.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#close--">close</a></span>()</code>
<div class="block">Close is called when the window is closed.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#getContext--">getContext</a></span>()</code>
<div class="block">Returns the context which was assigned to this view.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework">DrawGrid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#getGrid--">getGrid</a></span>()</code>
<div class="block">Gets the current grid.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework">FigureHandle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#getHandle-int-int-java.awt.event.MouseEvent-">getHandle</a></span>(int&nbsp;x,
         int&nbsp;y,
         java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Gets the handle (if any) that is at the mouse position.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#getModel--">getModel</a></span>()</code>
<div class="block">Returns the graphic model of this view.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#getSelection--">getSelection</a></span>()</code>
<div class="block">Returns a list which contains the currently selected figures.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#paint-java.awt.Graphics-">paint</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws the graphic model.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#removeFromSelection-jdraw.framework.Figure-">removeFromSelection</a></span>(<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Removes a figure from the selected figures.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#repaint--">repaint</a></span>()</code>
<div class="block">Repaints this view.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#setCursor-java.awt.Cursor-">setCursor</a></span>(java.awt.Cursor&nbsp;c)</code>
<div class="block">Sets the cursor of the DrawingView.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#setDrawContext-jdraw.framework.DrawContext-">setDrawContext</a></span>(<a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a>&nbsp;context)</code>
<div class="block">Sets the context to be used by this view.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#setGrid-jdraw.framework.DrawGrid-">setGrid</a></span>(<a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework">DrawGrid</a>&nbsp;g)</code>
<div class="block">Sets the current grid.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawView.html#setSelectionRubberBand-java.awt.Rectangle-">setSelectionRubberBand</a></span>(java.awt.Rectangle&nbsp;rect)</code>
<div class="block">Sets a selection rubber band to be displayed by the draw view.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_WIDTH</h4>
<pre>static final&nbsp;int DEFAULT_WIDTH</pre>
<div class="block">Default width of view.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#jdraw.framework.DrawView.DEFAULT_WIDTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_HEIGHT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_HEIGHT</h4>
<pre>static final&nbsp;int DEFAULT_HEIGHT</pre>
<div class="block">Default height of view.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#jdraw.framework.DrawView.DEFAULT_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModel</h4>
<pre><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a>&nbsp;getModel()</pre>
<div class="block">Returns the graphic model of this view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the graphic model presented by this view</dd>
</dl>
</li>
</ul>
<a name="setDrawContext-jdraw.framework.DrawContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDrawContext</h4>
<pre>void&nbsp;setDrawContext(<a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a>&nbsp;context)</pre>
<div class="block">Sets the context to be used by this view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - the context to be used by this view</dd>
</dl>
</li>
</ul>
<a name="getContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContext</h4>
<pre><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework">DrawContext</a>&nbsp;getContext()</pre>
<div class="block">Returns the context which was assigned to this view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the context associated with this view</dd>
</dl>
</li>
</ul>
<a name="setGrid-jdraw.framework.DrawGrid-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGrid</h4>
<pre>void&nbsp;setGrid(<a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework">DrawGrid</a>&nbsp;g)</pre>
<div class="block">Sets the current grid. If the grid passed is <code>null</code> then a
 previously registered grid is removed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - grid to be used</dd>
</dl>
</li>
</ul>
<a name="getGrid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGrid</h4>
<pre><a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework">DrawGrid</a>&nbsp;getGrid()</pre>
<div class="block">Gets the current grid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current grid</dd>
</dl>
</li>
</ul>
<a name="getHandle-int-int-java.awt.event.MouseEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre><a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework">FigureHandle</a>&nbsp;getHandle(int&nbsp;x,
                       int&nbsp;y,
                       java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Gets the handle (if any) that is at the mouse position. Although any
 information about the mouse's position is already contained in the
 <code>MouseEvent e</code>, a pair of coordinates is given to this
 procedure. <code>x</code> and <code>y</code> represent the constrained
 position of <code>e.getX()</code> and <code>e.getY()</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the constrained x-coordinate of the mouse.</dd>
<dd><code>y</code> - the constrained y-coordinate of the mouse.</dd>
<dd><code>e</code> - the mouse event</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the handle at the mouse position or <code>null</code> if no
         handle is selected.</dd>
</dl>
</li>
</ul>
<a name="getSelection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelection</h4>
<pre>java.util.List&lt;<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&gt;&nbsp;getSelection()</pre>
<div class="block">Returns a list which contains the currently selected figures. The figures
 are ordered in the order in which they were selected by the user. If no
 figures are selected, then an empty list is returned.
 
 Changes applied to this list do not change the selection state of 
 any figure. For changing the selection see methods 
 <a href="../../jdraw/framework/DrawView.html#addToSelection-jdraw.framework.Figure-"><code>addToSelection</code></a>, 
 <a href="../../jdraw/framework/DrawView.html#removeFromSelection-jdraw.framework.Figure-"><code>removeFromSelction</code></a> and
 <a href="../../jdraw/framework/DrawView.html#clearSelection--"><code>clearSelection</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of selected figures</dd>
</dl>
</li>
</ul>
<a name="clearSelection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearSelection</h4>
<pre>void&nbsp;clearSelection()</pre>
<div class="block">Clears the selection and removes all selection markers.</div>
</li>
</ul>
<a name="addToSelection-jdraw.framework.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addToSelection</h4>
<pre>void&nbsp;addToSelection(<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</pre>
<div class="block">Adds a figure to the selected figures. The figure is added
 at the end of the list of selected figures.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the figure to add to the selection.</dd>
</dl>
</li>
</ul>
<a name="removeFromSelection-jdraw.framework.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFromSelection</h4>
<pre>void&nbsp;removeFromSelection(<a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</pre>
<div class="block">Removes a figure from the selected figures.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - the figure to remove from the selection.</dd>
</dl>
</li>
</ul>
<a name="setSelectionRubberBand-java.awt.Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectionRubberBand</h4>
<pre>void&nbsp;setSelectionRubberBand(java.awt.Rectangle&nbsp;rect)</pre>
<div class="block">Sets a selection rubber band to be displayed by the draw view.
 If the <code>rect</code> parameter passed is <code>null</code>
 then new rubber band is displayed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - the selection rubber band rectangle.</dd>
</dl>
</li>
</ul>
<a name="paint-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paint</h4>
<pre>void&nbsp;paint(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws the graphic model. The paint method iterates over all figures in
 the graphic model and calls their paint method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics context to use when painting.</dd>
</dl>
</li>
</ul>
<a name="repaint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>repaint</h4>
<pre>void&nbsp;repaint()</pre>
<div class="block">Repaints this view.</div>
</li>
</ul>
<a name="setCursor-java.awt.Cursor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCursor</h4>
<pre>void&nbsp;setCursor(java.awt.Cursor&nbsp;c)</pre>
<div class="block">Sets the cursor of the DrawingView.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - the cursor to set.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close()</pre>
<div class="block">Close is called when the window is closed. Should be used to remove
 resources, e.g. registered listeners.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawView.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawToolFactory.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawView.html" target="_top">Frames</a></li>
<li><a href="DrawView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
